Bug 867372 - Can not change affinity of domain process with "cpuset "of <vcpu> element.
Can not change affinity of domain process with "cpuset "of <vcpu> element.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Martin Kletzander
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 07:39 EDT by yuping zhang
Modified: 2013-02-21 02:10 EST (History)
8 users (show)

See Also:
Fixed In Version: libvirt-0.10.2-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:10:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0276 normal SHIPPED_LIVE Moderate: libvirt security, bug fix, and enhancement update 2013-02-20 16:18:26 EST

  None (edit)
Description yuping zhang 2012-10-17 07:39:39 EDT
Version-Release number of selected component (if applicable):
# rpm -q libvirt kernel qemu-kvm
libvirt-0.10.2-4.el6.x86_64
kernel-2.6.32-325.el6.x86_64
qemu-kvm-0.12.1.2-2.320.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1.Edit a guest xml:
#virsh edit RHEL6.4
...
 <vcpu placement='static' cpuset='0' current='3'>4</vcpu>
...
No cputune element.
2.
#virsh start RHEL6.4
# virsh vcpuinfo RHEL6.4
VCPU:           0
CPU:            0
State:          running
CPU time:       7.9s
CPU Affinity:   y---------------------------------------------------------------------------------------------------------------------------------------------------------------

VCPU:           1
CPU:            0
State:          running
CPU time:       1.0s
CPU Affinity:   y---------------------------------------------------------------------------------------------------------------------------------------------------------------

VCPU:           2
CPU:            0
State:          running
CPU time:       0.9s
CPU Affinity:   y---------------------------------------------------------------------------------------------------------------------------------------------------------------

3.# ps -ef | grep kvm
root       6295      2  0 Sep17 ?        00:00:00 [kvm-irqfd-clean]
qemu      90174      1 38 07:26 ?        00:00:19 /usr/libexec/qemu-kvm -name ....
# cat /proc/90174/status
...
Cpus_allowed:	ffffffff,ffffffff,ffffffff,ffffffff,ffffffff
Cpus_allowed_list:	0-159
...
# taskset -c -p 90174
pid 90174's current affinity list: 0-159  

Actual results:
The  Cpus_allowed_list is 0-159,all physical cpus.

Expected results:
According to doc,in step 3,it should be 0.

Additional info:
1.In bug 855218,it updated the libvirt doucment of this part.
Comment 4 hongming 2012-10-25 02:55:33 EDT
Verify is as follows. The result is expected.Move its status to VERIFIED. 

Version
libvirt-0.10.2-5.el6.x86_64.rpm

Steps

# virsh start rhel6-new
Domain rhel6-new started

# virsh dumpxml rhel6-new | grep vcpu 
  <vcpu placement='static' cpuset='0' current='3'>4</vcpu>

[root@localhost 0.10.2-5.el6]# virsh vcpuinfo rhel6-new
VCPU:           0
CPU:            0
State:          running
CPU time:       4.8s
CPU Affinity:   y---

VCPU:           1
CPU:            0
State:          running
CPU Affinity:   y---

VCPU:           2
CPU:            0
State:          running
CPU Affinity:   y---


# pidof qemu-kvm
21335

# cat /proc/21335/status |grep Cpus_allowed_list
Cpus_allowed_list:	0
Comment 5 errata-xmlrpc 2013-02-21 02:10:21 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.